Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 665828

Summary: app-mobilephone/gnokii: Validate DEPEND on virtual/mysql
Product: Gentoo Linux Reporter: Brian Evans <grknight>
Component: Current packagesAssignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it <maintainer-needed>
Status: RESOLVED FIXED    
Severity: normal CC: jer
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 763480    

Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:27:57 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2019-02-05 18:41:05 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=478240b6f4172a585534c1076778c589a788b5af

commit 478240b6f4172a585534c1076778c589a788b5af
Author:     Brian Evans <grknight@gentoo.org>
AuthorDate: 2019-02-05 18:39:40 +0000
Commit:     Brian Evans <grknight@gentoo.org>
CommitDate: 2019-02-05 18:39:40 +0000

    app-mobilephone/gnokii: Revbump for dependency fix
    
    virtual/mysql is server only
    
    Bug: https://bugs.gentoo.org/665828
    Package-Manager: Portage-2.3.59, Repoman-2.3.12
    Signed-off-by: Brian Evans <grknight@gentoo.org>

 app-mobilephone/gnokii/gnokii-0.6.31-r2.ebuild | 139 +++++++++++++++++++++++++
 app-mobilephone/gnokii/gnokii-9999.ebuild      |   6 +-
 2 files changed, 142 insertions(+), 3 deletions(-)
Comment 2 Jeroen Roovers (RETIRED) gentoo-dev 2020-01-16 10:42:53 UTC
(In reply to Larry the Git Cow from comment #1)

I assume this is fixed now.
Comment 3 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-03-20 09:00:54 UTC
(In reply to Jeroen Roovers (RETIRED) from comment #2)
> (In reply to Larry the Git Cow from comment #1)
> 
> I assume this is fixed now.

No, as old versions weren't cleaned up.
Comment 4 Larry the Git Cow gentoo-dev 2021-03-20 09:09:12 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2020f565ff77f96e877a7fbee48c8cccda544f3

commit a2020f565ff77f96e877a7fbee48c8cccda544f3
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-03-20 09:03:11 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-03-20 09:09:05 +0000

    app-mobilephone/gnokii: drop 0.6.31-r1, 0.6.31-r2
    
    Closes: https://bugs.gentoo.org/665828
    Signed-off-by: Sam James <sam@gentoo.org>

 app-mobilephone/gnokii/gnokii-0.6.31-r1.ebuild | 139 -------------------------
 app-mobilephone/gnokii/gnokii-0.6.31-r2.ebuild | 139 -------------------------
 2 files changed, 278 deletions(-)